Subject: Re: [tram] Review of draft-ietf-tram-stun-pmtud-03

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 8 Jan 2017 15:11:11 -0800

On 12/14/2016 03:42 AM, Marc Petit-Huguenin wrote:
> Hi Simon,
> 
> Thanks for the review.
> 
> On 12/13/2016 01:08 PM, Simon Perreault wrote:
>> Just one question about this part:
>> 
>>> 4.2.3.  Receiving a Probe Indication and Report Request
>>> 
>>> A server supporting this specification will keep the identifiers
>>> of all packets received in a chronologically ordered list.  The
>>> same identifier can appear multiple times in the list because of 
>>> retransmissions.  The maximum size of this list is calculated
>>> such that when the list is added to the Report Response, the
>>> total size of the packet does not exceed the unknown Path MTU, as
>>> defined in [RFC5389] Section 7.1.  Older identifiers are removed
>>> when new identifiers are added to a list that is already full.
>> 
>> Is there only one global list, or one per client? If one per
>> client, how does the server associate packets to clients?
>> 
> 
> One per client.  The way the STUN transaction/indications will be
> associated with the protocol packets will have to be defined for each
> protocol, and we will add some text explaining that.  That said there
> is maybe a need to carry an additional opaque identifier in the Probe
> Indication/Report Request to make that association easier, e.g. when
> a combination of IP address, port and transport is not enough to
> differentiate two different clients for a specific protocol
> destination.
> 

I re-read RFC 4821, and I think that section 5.2 covers nicely what to do in that case.  I do not think that an additional opaque identifier to correlate the probe packet sand the protocol packets is necessary.

So can you please have a look at that section and let me know if that is your understanding too?

Meanwhile, I'll add a reference to section 5.2 of RFC 4821 in section 4.2.3 of the draft.

Thanks.

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug